SEARCH
NEW RPMS
DIRECTORIES
ABOUT
FAQ
VARIOUS
BLOG
DONATE




YUM REPOSITORY

 
 

python3-pykwalify rpm build for : OpenSuSE. For other distributions click python3-pykwalify.

Name : python3-pykwalify
Version : 1.6.0 Vendor : openSUSE
Release : 1.1 Date : 2017-08-23 14:00:00
Group : Development/Languages/Python Source RPM : python-pykwalify-1.6.0-1.1.src.rpm
Size : 0.25 MB
Packager : http://bugs_opensuse_org
Summary : Python lib/cli for JSON/YAML schema validation
Description :
YAML/JSON validation library
This framework is a port with a lot added functionality of the java version of the framework kwalify that can be found at: http://www.kuwata-lab.com/kwalify/
The original source code can be found at: http://sourceforge.net/projects/kwalify/files/kwalify-java/0.5.1/
The source code of the latest release that has been used can be found at: https://github.com/sunaku/kwalify. Please note that source code is not the original authors code but a fork/upload of the last release available in ruby.
The schema this library is base and extended from: http://www.kuwata-lab.com/kwalify/ruby/users-guide.01.html#schema

RPM found in directory: /mirror/ftp.opensuse.org/ports/aarch64/tumbleweed/repo/oss/suse/noarch

Content of RPM  Changelog  Provides Requires

Download
mirror.switch.ch  python3-pykwalify-1.6.0-1.1.noarch.rpm
mirror.switch.ch  python3-pykwalify-1.6.0-1.1.noarch.rpm
ftp.icm.edu.pl  python3-pykwalify-1.6.0-1.1.noarch.rpm
ftp.pbone.net  python3-pykwalify-1.6.0-1.1.noarch.rpm
ftp.icm.edu.pl  python3-pykwalify-1.6.0-1.1.noarch.rpm
ftp.pbone.net  python3-pykwalify-1.6.0-1.1.noarch.rpm
ftp.icm.edu.pl  python3-pykwalify-1.6.0-1.1.noarch.rpm
ftp.icm.edu.pl  python3-pykwalify-1.6.0-1.1.noarch.rpm
ftp.icm.edu.pl  python3-pykwalify-1.6.0-1.1.noarch.rpm
ftp.icm.edu.pl  python3-pykwalify-1.6.0-1.1.noarch.rpm
     

Provides :
python3-pykwalify

Requires :
/usr/bin/python3
python(abi) = 3.6
python3-PyYAML >= 3.11
python3-docopt >= 0.6.2
python3-python-dateutil >= 2.4.2
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PartialHardlinkSets) <= 4.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsXz) <= 5.2-1


Content of RPM :
/usr/bin/pykwalify
/usr/lib/python3.6/site-packages/pykwalify
/usr/lib/python3.6/site-packages/pykwalify-1.6.0-py3.6.egg-info
/usr/lib/python3.6/site-packages/pykwalify-1.6.0-py3.6.egg-info/PKG-INFO
/usr/lib/python3.6/site-packages/pykwalify-1.6.0-py3.6.egg-info/SOURCES.txt
/usr/lib/python3.6/site-packages/pykwalify-1.6.0-py3.6.egg-info/dependency_links.txt
/usr/lib/python3.6/site-packages/pykwalify-1.6.0-py3.6.egg-info/entry_points.txt
/usr/lib/python3.6/site-packages/pykwalify-1.6.0-py3.6.egg-info/requires.txt
/usr/lib/python3.6/site-packages/pykwalify-1.6.0-py3.6.egg-info/top_level.txt
/usr/lib/python3.6/site-packages/pykwalify/__init__.py
/usr/lib/python3.6/site-packages/pykwalify/__pycache__
/usr/lib/python3.6/site-packages/pykwalify/__pycache__/__init__.cpython-36.opt-1.pyc
/usr/lib/python3.6/site-packages/pykwalify/__pycache__/__init__.cpython-36.pyc
/usr/lib/python3.6/site-packages/pykwalify/__pycache__/cli.cpython-36.opt-1.pyc
/usr/lib/python3.6/site-packages/pykwalify/__pycache__/cli.cpython-36.pyc
/usr/lib/python3.6/site-packages/pykwalify/__pycache__/compat.cpython-36.opt-1.pyc
/usr/lib/python3.6/site-packages/pykwalify/__pycache__/compat.cpython-36.pyc
/usr/lib/python3.6/site-packages/pykwalify/__pycache__/core.cpython-36.opt-1.pyc
/usr/lib/python3.6/site-packages/pykwalify/__pycache__/core.cpython-36.pyc
/usr/lib/python3.6/site-packages/pykwalify/__pycache__/errors.cpython-36.opt-1.pyc
/usr/lib/python3.6/site-packages/pykwalify/__pycache__/errors.cpython-36.pyc
/usr/lib/python3.6/site-packages/pykwalify/__pycache__/rule.cpython-36.opt-1.pyc
/usr/lib/python3.6/site-packages/pykwalify/__pycache__/rule.cpython-36.pyc
/usr/lib/python3.6/site-packages/pykwalify/__pycache__/types.cpython-36.opt-1.pyc
/usr/lib/python3.6/site-packages/pykwalify/__pycache__/types.cpython-36.pyc
/usr/lib/python3.6/site-packages/pykwalify/cli.py
/usr/lib/python3.6/site-packages/pykwalify/compat.py
/usr/lib/python3.6/site-packages/pykwalify/core.py
/usr/lib/python3.6/site-packages/pykwalify/errors.py
/usr/lib/python3.6/site-packages/pykwalify/rule.py
There is 3 files more in these RPM.